#
# spec file for package python3-leveldb
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-leveldb
Version:        0.193
Release:        2.6
License:        BSD-3-Clause
Summary:        Python bindings for leveldb database library
Url:            http://code.google.com/p/py-leveldb/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/l/leveldb/leveldb-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:		leveldb

%description
Python3 bindings for leveldb database library.

%prep
%setup -q -n leveldb-%{version}
chmod -x README

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python3_sitearch}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sat Jan 17 2015 arun@gmx.de
- specfile:
  * drop python3-leveldb-replace_comma_with_as.patch
    (patched file doesn't exist anymore)
- update to version 0.193 (can't find any changelog information nor an
  up to date VCS)
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Sat Oct 12 2013 i@marguerite.su
- update version 0.19
  * no upstream changelog available
- add patch: python3-leveldb-replace_comma_with_as.patch
  * fix python3 build
* Fri Apr  5 2013 speilicke@suse.com
- Use distribute instead of setuptools
- Package README
* Sun Mar 17 2013 prusnak@opensuse.org
- created package (version 0.16)
